Package org.apache.lucene.analysis.compound.hyphenation

## Class TernaryTree.Iterator

- java.lang.Object
- - org.apache.lucene.analysis.compound.hyphenation.TernaryTree.Iterator

- All Implemented Interfaces:
    `Enumeration<String>`
  Enclosing class:
    TernaryTree

      public class TernaryTree.Iterator
      extends Object
      implements Enumeration<String>

  Enumeration over TST keys
  NOTE: This API is for internal purposes only and might change in incompatible ways in the next release.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `Iterator()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `char` | `getValue()` |
    `boolean` | `hasMoreElements()` |
    `String` | `nextElement()` |
    `void` | `rewind()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface java.util.Enumeration

      `asIterator`

- - ### Constructor Detail

    - #### Iterator

          public Iterator()

  - ### Method Detail

    - #### rewind

          public void rewind()

    - #### nextElement

          public String nextElement()

      Specified by:
        `nextElement` in interface `Enumeration<String>`

    - #### getValue

          public char getValue()

    - #### hasMoreElements

          public boolean hasMoreElements()

      Specified by:
        `hasMoreElements` in interface `Enumeration<String>`